Subject: bug#69246: 30.0.50; persistent key input delay after using vc commands in pgtk

From: Nick OBrien <[email-masked]>
Date: Sun, 18 Feb 2024 19:21:48 +0000

I followed the steps again and made sure to leave a few seconds after seeing the
"Annotating... done" message before running the next command. After running the
vc commands, I killed the vc-annotate buffer and returned to the foo buffer
(which is in fundamental-mode), and the key input delay still occurs.

On Sunday, February 18th, 2024 at 1:04 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Sat, 17 Feb 2024 20:38:06 +0000
> > From: Nick OBrien via "Bug reports for GNU Emacs,
> > the Swiss army knife of text editors" [email-masked]
> > 
> > After opening a file in a git repository with emacs -Q, using vc-annotate, and
> > returning to the file, various key inputs like C-f, C-b, and typing characters
> > have a noticeable delay between key down and screen update. I am using GNOME
> > 45.3 and Wayland.
> 
> 
> Did you let vc-annotate enough time to finish, or was it still running
> (with "waiting..." shown in the mode line) when you saw those delays?
> 
> vc-annotate runs asynchronously, so you cane switch to another buffer,
> while the command still runs, and can sometimes slow down the
> foreground command.